Page MenuHomePhabricator

Rename AtomicExpandLoadLinked into AtomicExpand (NFC)
ClosedPublic

Authored by morisset on Aug 18 2014, 2:54 PM.

Details

Reviewers
jfb
Summary

AtomicExpandLoadLinked is currently rather ARM-specific. This patch is the first of
a group that aim at making it more target-independent. See
http://lists.cs.uiuc.edu/pipermail/llvmdev/2014-August/075873.html
for details

Diff Detail

Event Timeline

morisset updated this revision to Diff 12628.Aug 18 2014, 2:54 PM
morisset retitled this revision from to Rename AtomicExpandLoadLinked into AtomicExpand (NFC).
morisset updated this object.
morisset edited the test plan for this revision. (Show Details)
morisset added a reviewer: jfb.
morisset added subscribers: t.p.northover, Unknown Object (MLST).

Hi Robin,

I think this is mostly straightforward. I've just got one comment on the command-line option we end up with.

Cheers.

Tim.

lib/CodeGen/AtomicExpandPass.cpp
55

I think "-atomic" is too generic as an option name. It should probably be "-atomic-expand" or something.

Actually "-lower-atomic" would probably be even better but it's already taken by another pass which just replaces all atomic ops with non-atomic ones. Bonus points for coming up with a simple but obvious naming distinction there.

jfb edited edge metadata.Aug 20 2014, 10:32 PM

lgtm after Tim's comment is addressed.

morisset updated this revision to Diff 12789.EditedAug 21 2014, 11:32 AM
morisset edited edge metadata.

Rebase because of r216182 that caused a conflict.

morisset updated this revision to Diff 12802.Aug 21 2014, 1:44 PM

Changed the command line option from -atomic to -atomic-expand, based on a comment by Tim Northover.

JF: can you accept the revision? Thanks.

jfb accepted this revision.Aug 21 2014, 1:50 PM
jfb edited edge metadata.

Accepted.

This revision is now accepted and ready to land.Aug 21 2014, 1:50 PM
morisset closed this revision.Aug 21 2014, 3:19 PM

commited in r216231